package com.gh.gamecenter.gamedetail.myrating

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.R
import com.gh.gamecenter.common.base.activity.BaseActivity
import com.gh.gamecenter.common.constant.EntranceConsts

/**
 * 我的游戏评论
 */
class MyRatingActivity : ToolBarActivity() {

    companion object {
        fun getIntent(context: Context, entrance: String, path: String): Intent {
            val bundle = Bundle()
            bundle.putString(EntranceConsts.KEY_ENTRANCE, BaseActivity.mergeEntranceAndPath(entrance, path))
            return getTargetIntent(context, MyRatingActivity::class.java, MyRatingFragment::class.java, bundle)
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setNavigationTitle(R.string.title_my_game_rating)
    }
}